You are not logged in.

#1 2019-10-22 09:09:47

aminvakil
Member
From: Tehran
Registered: 2019-08-01
Posts: 5
Website

[SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

pacman -Suy

gives me this error and as I didn't find any issue on Arch Linux Website I posted this new topic.

Last edited by aminvakil (2019-10-22 10:40:06)

Offline

#2 2019-10-22 09:14:24

Allan
Member
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,903
Website

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

Default is yes.

Offline

#3 2019-10-22 09:49:13

aminvakil
Member
From: Tehran
Registered: 2019-08-01
Posts: 5
Website

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

Thanks for your quick reply Allan.

https://wiki.archlinux.org/index.php/Sy … the_system

Before upgrading, users are expected to visit the Arch Linux home page to check the latest news, or alternatively subscribe to the RSS feed or the arch-announce mailing list. When updates require out-of-the-ordinary user intervention (more than what can be handled simply by following the instructions given by pacman), an appropriate news post will be made.

As I don't know what are ilmbase and openexr, this is out-of-the-ordinary user intervention.

Offline

#4 2019-10-22 10:29:36

philo
Member
From: indoors
Registered: 2015-01-26
Posts: 79

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

Typing:

https://www.archlinux.org/packages/extr … 4/openexr/

would tell you what it is and also that it replaces ilmbase.

Then you can mark your thread as [Solved].

Last edited by philo (2019-10-22 10:31:37)

Offline

#5 2019-10-22 10:41:02

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,643

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

aminvakil wrote:

As I don't know what are ilmbase and openexr, this is out-of-the-ordinary user intervention.

No, a package replacement is not out-of-the-ordinary user intervention. Your particular knowledge of what a package does doesn't determine what is out-of-the-ordinary.

Offline

#6 2019-10-22 10:43:27

aminvakil
Member
From: Tehran
Registered: 2019-08-01
Posts: 5
Website

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

arojas wrote:
aminvakil wrote:

As I don't know what are ilmbase and openexr, this is out-of-the-ordinary user intervention.

No, a package replacement is not out-of-the-ordinary user intervention. Your particular knowledge of what a package does doesn't determine what is out-of-the-ordinary.

I didn't know these packages and I don't why they are installed on my system, so as I try to read carefully what packages am I installing on my laptop, I thought that this was a package from base group and therefore it's something that I should ask about.

Offline

#7 2019-10-23 18:09:13

loqs
Member
Registered: 2014-03-06
Posts: 9,074

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

You can find the installation reason and what other packages require a given package from `pacman -Qi`.

Offline

#8 2019-10-23 18:26:06

whitehorsesoft
Member
Registered: 2017-09-20
Posts: 15

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

FWIW like aminvakil I also wondered what was going on. At least the Y/n option was enough "out-of-ordinary" for it to raise the more than normal level of attention when doing -Syu (normally says "Proceed with installation Y/n", not "Replace x with y? Y/n")

Granted prob has a lot to do with the fact that I'm a yet still newbie with many things Arch, but I was grateful that at least one other person was in the same boat... and surprised by general assumption that users of all proficiency levels should just already know what is going on with this, as most all answers indicate.

Last edited by whitehorsesoft (2019-10-23 18:27:20)

Offline

#9 2019-10-23 18:44:29

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 7,773

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

Pacman/PKGBUILDs have two distinct fields for denoting actions in relation to a package in combination with another. conflicts and replaces the former is triggered on incompatible changes and pacman's default action will be N and the latter on deliberate and wanted replacements and pacman defaults to Y, as the change is an intended switch over. In doubt you can trust the default recommendation of pacman.

Last edited by V1del (2019-10-23 18:45:15)

Offline

#10 2019-10-24 09:25:03

aminvakil
Member
From: Tehran
Registered: 2019-08-01
Posts: 5
Website

Re: [SOLVED] :: Replace ilmbase with extra/openexr? [Y/n]

loqs wrote:

You can find the installation reason and what other packages require a given package from `pacman -Qi`.

Thanks for your advice, now I realize that it's a package required by gegl required by gnome-photos.

pacman -Qi openexr
Name            : openexr
Required By     : gegl  gst-plugins-bad

pacman -Qi gegl
Name            : gegl
Required By     : gnome-photos

Offline

Board footer

Powered by FluxBB